using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OcadMapLibrary {

	public class MapSymbolRef {

		int mapSymbolID;
		public int MapSymbolID {
			get {
				return mapSymbolID;
			}
			set {
				mapSymbolID = value;
			}
		}

		public MapSymbol GetMapSymbol(List<MapSymbol> mapSymbols) {
			for (int i = 0; i < mapSymbols.Count; i++) {
				if (mapSymbols[i].ID.Equals(mapSymbolID)) {
					return mapSymbols[i];
				}
			}
			return null;
		}

	}

}
